#version 140

#ifdef GL_ES
precision highp float;
#endif

out vec4 fragColor;

in vec2 uvOut;
in vec4 colOut;

uniform sampler2D tex;

void main(void)
{
	vec4 col = texture(tex, uvOut) * colOut;
	// back to srgb
	col.xyz = pow(col.xyz, vec3(1.0/2.2));
	fragColor = col;
}
