#version 140

#include "../include/quat_vec.vert"
//#include "../include/clip_plane.vert"

in vec3 pos;

uniform mat4 proj;
uniform mat4 model_mat;
uniform vec3 cam_pos;
out vec3 world_dir;

void main()
{
	vec4 tpos = model_mat * vec4(pos, 1.0);

	// note: clipping disable for volumetric fog because it interferes with mirrors
	//clip_vertex(tpos.xyz);

	gl_Position = proj * tpos;
	world_dir = tpos.xyz - cam_pos;
}
