#version 140

#ifdef GL_ES
precision highp float;
#endif

in vec2 uvOut;
in vec4 colOut;
uniform sampler2D tex;

out vec4 fragColor;

void main(void)
{
/*	// not good => disabled

	vec2 samples[8]=vec2[8](
	vec2(-0.973062, -0.328256),
	vec2(0.110481, 0.712614),
	vec2(-0.818603, 0.638871),
	vec2(-0.018864, -0.385902),
	vec2(-0.430052, 0.142593),
	vec2(0.601915, 0.342594),
	vec2(0.554622, -0.808192),
	vec2(-0.474124, -0.883385)
	);

	vec2 scl = vec2(dFdx(uvOut.x), dFdy(uvOut.y))*0.5;
	vec4 sum = vec4(0.0);

	for (int i=0; i<8; i++)
	{
		vec4 sample = texture(tex, uvOut + (samples[i])*scl);
		sum += sample;
	}

	sum *= 1.0/8.0;

	vec4 res = colOut;
	res.w *= sum.w;
*/
	vec4 res = colOut;
	res.w *= texture(tex, uvOut).w;

	fragColor = res;
}
