#version 140

in vec3 pos;
in vec2 uv;
in vec4 color;

uniform mat4 proj;

out vec2 uvOut;
out vec4 colOut;

void main(void)
{
	gl_Position = proj * vec4(pos, 1.0);
	uvOut = uv;
	colOut = color;
	// convert to linear
	colOut.xyz = pow(colOut.xyz, vec3(2.2));
}
