#version 140

#ifdef GL_ES
precision highp float;
#endif

out vec4 fragColor;

in vec4 colOut;
in vec2 uvOut;
uniform sampler2D tex;
uniform sampler2D tex2;

void main(void)
{
	vec4 col0 = texture(tex, uvOut);
	vec4 col1 = texture(tex2, uvOut);
	col0.rgb *= colOut.rgb;
	col1.rgb *= colOut.rgb;
	fragColor = mix(col0, col1, colOut.a);
}
