#version 140

// simple textured with color
#ifdef GL_ES
precision highp float;
#endif

#include "include/fragData.frag"

// texture uvs
in vec2 uvOut;

// diffuse color
uniform sampler2D tex;
uniform vec4 color;

#ifndef NO_NORM_BUFFER
in vec3 worldNormOut;
#endif

void main(void)
{
	vec4 diffuse = texture(tex, uvOut);
	//diffuse.xyz = vec3(1.0);
#ifndef NO_SPEC_BUFFER
	fragData3 = vec4(0.0);
#endif
#ifndef NO_NORM_BUFFER
	fragData2.xyz = worldNormOut;
#endif
	fragData1 = diffuse;
	fragColor = diffuse * color;
}
