#version 140

// old-school lightmapping
#ifdef GL_ES
precision highp float;
#endif

#include "include/fragData.frag"
#include "include/clip_plane.frag"

#include "Postprocess/Tonemap.frag"

// texture uvs
in vec2 uvOut;

in vec3 worldNormOut;

// diffuse color
uniform sampler2D tex;

void main(void)
{
	clip_pixel();

	vec4 diffuse = texture(tex, uvOut);

#ifndef NO_SPEC_BUFFER
	fragData3 = vec4(0.0);
#endif

#ifndef NO_NORM_BUFFER
	fragData2.xyz = worldNormOut;
#endif

	fragData1 = diffuse;

	diffuse.xyz = TonemapKeep(diffuse.xyz);

	fragColor = diffuse;
}
